Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 881025 - RFE: allow exact partition location
Summary: RFE: allow exact partition location
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-28 13:02 UTC by Jan Safranek
Modified: 2014-02-06 07:12 UTC (History)
7 users (show)

Fixed In Version: python-blivet-0.19-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 23:17:58 UTC
Type: Bug


Attachments (Terms of Use)
experimental patch (4.92 KB, application/force-download)
2012-11-28 13:02 UTC, Jan Safranek
no flags Details

Description Jan Safranek 2012-11-28 13:02:36 UTC
Created attachment 653487 [details]
experimental patch

Description of problem:
We need to be able to set start and end partition sector address when creating a a partition, for example as parameter of PartitionDevice.__init__(..., start=None, end=None).

Version-Release number of selected component (if applicable):
anaconda-18.28-1.fc18.x86_64

I got experimental patch from David Lehman (attached), which was working on F17, but I cannot find it upstream.

Comment 1 Jan Safranek 2012-11-30 10:52:10 UTC
In addition, I'd like to have either possibility to specify unaligned partition start/end or get best *working* region for given partition size.

There is pyanaconda.storage.partitioning.getBestFreeSpaceRegion, but it returns unaligned region and PartitionDevice.__init__(...,start, end) fails.

Example: I have one huge partition over whole device:

Disk /dev/sda: 1074MB
Sector size (logical/physical): 512B/512B
Partition Table: msdos
Number  Start   End     Size    Type     File system  Flags
 1      1049kB  1073MB  1072MB  primary

If I ask for 900 kB partition, getBestFreeSpaceRegion finds place at the start, between MBR (sector 1) and start of the large partition. But if I put these addresses to PartitionDevice.__init__, it later fails.

What I want is getBestFreeSpaceRegion (or similar function) to return something that PartitionDevice.__init__  accepts. It really does not matter if the fix is getBestFreeSpaceRegion returning aligned regions or PartitionDevice.__init__ accepting unaligned ones.

Jan

Comment 2 Jan Safranek 2013-02-22 16:08:01 UTC
With dlehman we've agreed that's simple and will be available in F19 (at least the exact partition location).

Non-aligned partition or getBestFreeSpaceRegion() returning aligned geometry can be done later.

Comment 3 David Lehman 2013-07-12 22:06:27 UTC
I got this working today, and will send patches early next week.

There are some limitations that should be noted. First, any partition with an explicitly-specified start sector will not be aligned or adjusted in any way. Second, any partition for which start/end sectors are specified must be constrained to a single disk.

Comment 4 Fedora End Of Life 2013-12-21 15:42:40 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2014-02-05 23:17:58 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.